Skip to main content
curl -X POST 'https://hermes.api.e-cross.tech/ext/shipments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "parcelIds": ["MERCHANT387294640090BR"],
    "description": "Weekly dispatch",
    "expectedShipDate": "2025-06-01T15:00:00Z",
    "expectedDeliveryDate": "2025-06-03T15:00:00Z",
    "firstMileCarrierId": "USPS",
    "firstMileTrackingNumber": "FM1234567890"
  }'
{
  "id": "aa65bd71-33cf-40c1-bdc5-91b01344f659",
  "status": "CREATED",
  "parcelIds": [
    "MERCHANT387294640090BR"
  ],
  "description": "Weekly dispatch",
  "expectedShipDate": "2025-06-01T15:00:00Z",
  "expectedDeliveryDate": "2025-06-03T15:00:00Z",
  "firstMileCarrierId": "USPS",
  "firstMileTrackingNumber": "FM123456",
  "creationDate": "2025-06-01T10:43:59.080Z",
  "lastUpdateDate": "2025-06-01T10:43:59.080Z",
  "merchantId": "MERCHANT",
  "weight": 0.24,
  "type": "shipment"
}

Request Parameters

parcelIds
array
required
Array containing the parcelId of the parcels contained in this shipment.
expectedShipDate
string
required
Approximate expected date and time when the package will leave the fulfillment facility, in ISO 8601 format.
expectedDeliveryDate
string
required
Approximate expected date and time when the package will arrive at the consolidation hub, in ISO 8601 format.
firstMileTrackingNumber
string
required
Tracking number/code of the first mile dispatch.
firstMileCarrierId
string
Identifier of the first mile carrier company (e.g., USPS, FedEx, DHL).
description
string
Human-readable description of the dispatch (e.g., “Weekly dispatch”, “Daily shipment”).

Response Fields

id
string
Unique identifier of this shipment.
status
string
Status of the shipment. Can be one of:
  • CREATED - Shipment has been created
  • SHIPPED - Shipment has been shipped
  • CANCELLED - Shipment was cancelled
parcelIds
array
Array containing the parcel IDs contained in this shipment.
description
string
Human-readable description of the dispatch.
expectedShipDate
string
Expected date when the package will leave the fulfillment facility.
expectedDeliveryDate
string
Expected date when the package will arrive at the consolidation hub.
firstMileTrackingNumber
string
Tracking number or code of the first mile dispatch.
weight
number
Total weight of the shipment in kilograms, generated by summing the weight of all parcels.
merchantId
string
The merchant ID.
creationDate
string
Date and time when the shipment was created.
lastUpdateDate
string
Date and time when the shipment was last updated.